com.microfocus.zserver.zexplorer.ui

## Class ZExplorerUIUtilities

- java.lang.Object
- - com.microfocus.zserver.zexplorer.ui.ZExplorerUIUtilities

-     public class ZExplorerUIUtilities
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZExplorerUIUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `deleteObject(IMvsResource pRes, IMvsResource pParent, boolean pRefresh)`
    `static void` | `expandParent(IMvsResource pRes)` Expands a selected Dataset
    `static void` | `insertObject(IMvsResource pRes, IMvsResource pParent)` Deprecated. Use `refreshObject(IMvsResource)` on the parent instead of this method, because this method can create dublicates while `refreshObject(IMvsResource)` should always return the correct result from the remote system.
    `static void` | `refreshObject(IMvsResource pRes)`
    `static void` | `selecteObject(IMvsResource pRes, IMvsResource pParent)` Selects a given Member within a Dataset
    `static boolean` | `validatePort(org.eclipse.jface.dialogs.DialogPage pDiaPage, java.lang.String pPort, java.lang.String pPortName, boolean pEmptyPortAllowed)` Validates the given port string and sets an error message in the given dialog page.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZExplorerUIUtilities

          public ZExplorerUIUtilities()

  - ### Method Detail

    - #### insertObject

          @Deprecated
          public static void insertObject(IMvsResource pRes,
                                                       IMvsResource pParent)

      Deprecated. Use `refreshObject(IMvsResource)` on the parent instead of this method, because this method can create dublicates while `refreshObject(IMvsResource)` should always return the correct result from the remote system.
      Inserts a new object in the RSE tree view.
      Parameters:
        `pRes` - The object to be inserted
        `pParent` - The parent of the object

    - #### deleteObject

          public static void deleteObject(IMvsResource pRes,
                                          IMvsResource pParent,
                                          boolean pRefresh)

    - #### refreshObject

          public static void refreshObject(IMvsResource pRes)

    - #### selecteObject

          public static void selecteObject(IMvsResource pRes,
                                           IMvsResource pParent)

      Selects a given Member within a Dataset
      Parameters:
        `pRes` -
        `pParent` -

    - #### expandParent

          public static void expandParent(IMvsResource pRes)

      Expands a selected Dataset
      Parameters:
        `pRes` -

    - #### validatePort

          public static boolean validatePort(org.eclipse.jface.dialogs.DialogPage pDiaPage,
                                             java.lang.String pPort,
                                             java.lang.String pPortName,
                                             boolean pEmptyPortAllowed)

      Validates the given port string and sets an error message in the given dialog page. Does not remove an error message if the port is valid.
      Parameters:
        `pDiaPage` - the dialog page
        `pPort` - the port (e.g. "12345")
        `pPortName` - a port name for the error message
        `pEmptyPortAllowed` - whether an empty string is allowed (optional port)
      Returns:
        whether the port is valid

Copyright © 2015 Micro Focus GmbH. All rights reserved.